Loading...
Searching...
No Matches
LibThread::JobCompare Struct Reference

## Public Member Functions

bool | operator() (const Job *lhs, const Job *rhs)

## Detailed Description

Definition at line 1578 of file shared.cc.

## Member Function Documentation

## operator()()

bool LibThread::JobCompare::operator() | ( | const Job * | lhs,
|  | const Job * | rhs )

inline

Definition at line 1579 of file shared.cc.

{
if (lhs->fast < rhs->fast) {
return true;
}
if (lhs->prio < rhs->prio) {
return true;
}
if (lhs->prio == rhs->prio) {
return lhs->id > rhs->id;
}
return false;
}
LibThread::Job::id
size_t id
Definition shared.cc:1548
LibThread::Job::fast
bool fast
Definition shared.cc:1556
LibThread::Job::prio
long prio
Definition shared.cc:1547

The documentation for this struct was generated from the following file:

- Singular/dyn_modules/systhreads/shared.cc